Groovy Documentation

## org.codehaus.groovy.grails.test.io
[Groovy] Class MultiplexingOutputStream

    java.lang.Object
      java.io.OutputStream
          org.codehaus.groovy.grails.test.io.MultiplexingOutputStream

    class MultiplexingOutputStream
    extends java.io.OutputStream

Property Summary
`java.util.List` | `streams`

Constructor Summary
`MultiplexingOutputStream(OutputStream[] streams = as OutputStream[])`

Method Summary
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream

java.io.OutputStream#write(int), java.io.OutputStream#write([B), java.io.OutputStream#write([B, int, int), java.io.OutputStream#flush(), java.io.OutputStream#close(), java.io.OutputStream#wait(), java.io.OutputStream#wait(long), java.io.OutputStream#wait(long, int), java.io.OutputStream#equals(java.lang.Object), java.io.OutputStream#toString(), java.io.OutputStream#hashCode(), java.io.OutputStream#getClass(), java.io.OutputStream#notify(), java.io.OutputStream#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### streams

    java.util.List streams

Constructor Detail

### MultiplexingOutputStream

    MultiplexingOutputStream(OutputStream[] streams = as OutputStream[])

Method Detail

### write

    void write(int b)

Groovy Documentation